import brainpy as bp
import matplotlib.pyplot as plt
neu1 = bp.dyn.LIF(1)
neu2 = bp.dyn.LIF(1)
syn1 = bp.dyn.DeltaSynapse(neu1, neu2, bp.connect.All2All(), weights=5.)
net = bp.dyn.Network(pre=neu1, syn=syn1, post=neu2)
runner = bp.dyn.DSRunner(net, inputs=[('pre.input', 25.), ('post.input', 10.)], monitors=['pre.V', 'post.V', 'pre.spike'])
runner.run(150.)
fig, gs = bp.visualize.get_figure(1, 1, 3, 8)
plt.plot(runner.mon.ts, runner.mon['pre.V'], label='pre-V')
plt.plot(runner.mon.ts, runner.mon['post.V'], label='post-V')
plt.xlim(40, 150)
plt.legend()
plt.show()
