import brainpy as bp
import brainpy.math as bm
import matplotlib.pyplot as plt
dt = 0.01; beta=2.; gamma=1.; tau=2.; n=9.65
mg_eq = lambda x, t, xdelay: (beta * xdelay(t - tau) / (1 + xdelay(t - tau) ** n)
                              - gamma * x)
xdelay = bm.TimeDelay(bm.asarray([1.2]), delay_len=tau, dt=dt, before_t0=lambda t: 1.2)
integral = bp.ddeint(mg_eq, method='rk4', state_delays={'x': xdelay})
runner = bp.integrators.IntegratorRunner(
      integral,
      monitors=['x', ],
      fun_monitors={'x(tau)': (lambda t, _: xdelay(t - tau))},
      inits=[1.2],  # initialize all variable to 1.
      args={'xdelay': xdelay}, dt=dt,
)
runner.run(100.)
plt.plot(runner.mon['x'].flatten(), runner.mon['x(tau)'].flatten())
plt.show()
